# Entrer un nombre entre 1 et 3999

def convert_to_roman( nombre ):
    if (nombre < 1) or (nombre > 3999):
        return "Le nombre doit être compris entre 1 et 3999 !"
    else:
        roman_numerals = {
            1000: 'M',
            900: 'CM',
            500: 'D',
            400: 'CD',
            100: 'C',
            90 : 'XC',
            50 : 'L',
            40 : 'XL',
            10 : 'X',
            9  : 'IX',
            5  : 'V',
            4  : 'IV',
            1  : 'I'
        }

        resultat = ''
        for valeur, chaine in roman_numerals.items():
            cpt = nombre // valeur
            resultat += chaine * cpt
            nombre -= valeur * cpt

    return resultat
# fin def convert_to_roman


nombre = int( input("Entrez un nombre entre 1 et 3999 :") )
romains = convert_to_roman( nombre )
print("Le nombre romain est : ", romains)
